LLVM: lldb::SBTypeSummary Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
lldb::SBTypeSummary Class Reference

`#include <SBTypeSummary.h>`

Collaboration diagram for lldb::SBTypeSummary:
[legend]

## Public Member Functions
| SBTypeSummary ()
| SBTypeSummary (const lldb::SBTypeSummary &rhs)
| ~SBTypeSummary ()
bool | IsValid () const
bool | IsFunctionCode ()
bool | IsFunctionName ()
bool | IsSummaryString ()
const char * | GetData ()
void | SetSummaryString (const char *data)
void | SetFunctionName (const char *data)
void | SetFunctionCode (const char *data)
uint32_t | GetOptions ()
void | SetOptions (uint32_t)
bool | GetDescription (lldb::SBStream &description, lldb::DescriptionLevel description_level)
lldb::SBTypeSummary & | operator= (const lldb::SBTypeSummary &rhs)
bool | IsEqualTo (lldb::SBTypeSummary &rhs)
bool | operator== (lldb::SBTypeSummary &rhs)
bool | operator!= (lldb::SBTypeSummary &rhs)

## Static Public Member Functions
static SBTypeSummary | CreateWithSummaryString (const char *data, uint32_t options=0)
static SBTypeSummary | CreateWithFunctionName (const char *data, uint32_t options=0)
static SBTypeSummary | CreateWithScriptCode (const char *data, uint32_t options=0)

## Protected Member Functions
lldb::TypeSummaryImplSP | GetSP ()
void | SetSP (const lldb::TypeSummaryImplSP &typefilter_impl_sp)
| SBTypeSummary (const lldb::TypeSummaryImplSP &)
bool | CopyOnWrite_Impl ()
bool | ChangeSummaryType (bool want_script)

## Protected Attributes
lldb::TypeSummaryImplSP | m_opaque_sp

## Friends
class | SBDebugger
class | SBTypeCategory
class | SBValue

## Detailed Description

Definition at line 19 of file SBTypeSummary.h.

## Constructor & Destructor Documentation

lldb::SBTypeSummary::SBTypeSummary | ( |  | ) |

lldb::SBTypeSummary::SBTypeSummary | ( | const lldb::SBTypeSummary & | rhs | ) |

lldb::SBTypeSummary::~SBTypeSummary | ( |  | ) |

lldb::SBTypeSummary::SBTypeSummary | ( | const lldb::TypeSummaryImplSP & |  | ) |
| protected

## Member Function Documentation

bool lldb::SBTypeSummary::ChangeSummaryType | ( | bool | want_script | ) |
| protected

bool lldb::SBTypeSummary::CopyOnWrite_Impl | ( |  | ) |
| protected

static SBTypeSummary lldb::SBTypeSummary::CreateWithFunctionName | ( | const char * | data,
|  | uint32_t | options = `0`
| ) |  |
| static

static SBTypeSummary lldb::SBTypeSummary::CreateWithScriptCode | ( | const char * | data,
|  | uint32_t | options = `0`
| ) |  |
| static

static SBTypeSummary lldb::SBTypeSummary::CreateWithSummaryString | ( | const char * | data,
|  | uint32_t | options = `0`
| ) |  |
| static

const char* lldb::SBTypeSummary::GetData | ( |  | ) |

bool lldb::SBTypeSummary::GetDescription | ( | lldb::SBStream & | description,
|  | lldb::DescriptionLevel | description_level
| ) |  |

uint32_t lldb::SBTypeSummary::GetOptions | ( |  | ) |

lldb::TypeSummaryImplSP lldb::SBTypeSummary::GetSP | ( |  | ) |
| protected

bool lldb::SBTypeSummary::IsEqualTo | ( | lldb::SBTypeSummary & | rhs | ) |

bool lldb::SBTypeSummary::IsFunctionCode | ( |  | ) |

bool lldb::SBTypeSummary::IsFunctionName | ( |  | ) |

bool lldb::SBTypeSummary::IsSummaryString | ( |  | ) |

bool lldb::SBTypeSummary::IsValid | ( |  | ) | const

bool lldb::SBTypeSummary::operator!= | ( | lldb::SBTypeSummary & | rhs | ) |

lldb::SBTypeSummary& lldb::SBTypeSummary::operator= | ( | const lldb::SBTypeSummary & | rhs | ) |

bool lldb::SBTypeSummary::operator== | ( | lldb::SBTypeSummary & | rhs | ) |

void lldb::SBTypeSummary::SetFunctionCode | ( | const char * | data | ) |

void lldb::SBTypeSummary::SetFunctionName | ( | const char * | data | ) |

void lldb::SBTypeSummary::SetOptions | ( | uint32_t |  | ) |

void lldb::SBTypeSummary::SetSP | ( | const lldb::TypeSummaryImplSP & | typefilter_impl_sp | ) |
| protected

void lldb::SBTypeSummary::SetSummaryString | ( | const char * | data | ) |

## Friends And Related Function Documentation

friend class SBDebugger
| friend

Definition at line 88 of file SBTypeSummary.h.

friend class SBTypeCategory
| friend

Definition at line 89 of file SBTypeSummary.h.

friend class SBValue
| friend

Definition at line 90 of file SBTypeSummary.h.

## Member Data Documentation

lldb::TypeSummaryImplSP lldb::SBTypeSummary::m_opaque_sp
| protected

Definition at line 98 of file SBTypeSummary.h.

The documentation for this class was generated from the following file:

- SBTypeSummary.h